# DataExchange
TKSTEP209
StepFEA

# StepFEA_Surface3dElementRepresentation Class Reference

Representation of STEP entity Surface3dElementRepresentation
.

`#include <StepFEA_Surface3dElementRepresentation.hxx>`

Inheritance diagram for StepFEA_Surface3dElementRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_Surface3dElementRepresentation ()
| Empty constructor .

Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aRepresentation_Name, const Handle(StepRepr_HArray1OfRepresentationItem)&aRepresentation_Items, const Handle(StepRepr_RepresentationContext)&aRepresentation_ContextOfItems, const Handle(StepFEA_HArray1OfNodeRepresentation)&aElementRepresentation_NodeList, const Handle(StepFEA_FeaModel3d)&aModelRef, const Handle(StepElement_Surface3dElementDescriptor)&aElementDescriptor, const Handle(StepElement_SurfaceElementProperty)&aProperty, const Handle(StepElement_ElementMaterial)&aMaterial)

| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaModel3d | ModelRef () const
| Returns field ModelRef .
Standard_EXPORT void | SetModelRef (const Handle(StepFEA_FeaModel3d)&ModelRef)
| Set field ModelRef .
Standard_EXPORT Handle_StepElement_Surface3dElementDescriptor | ElementDescriptor () const
| Returns field ElementDescriptor .
Standard_EXPORT void | SetElementDescriptor (const Handle(StepElement_Surface3dElementDescriptor)&ElementDescriptor)
| Set field ElementDescriptor .
Standard_EXPORT Handle_StepElement_SurfaceElementProperty | Property () const
| Returns field Property .
Standard_EXPORT void | SetProperty (const Handle(StepElement_SurfaceElementProperty)&Property)
| Set field Property .
Standard_EXPORT Handle_StepElement_ElementMaterial | Material () const
| Returns field Material .
Standard_EXPORT void | SetMaterial (const Handle(StepElement_ElementMaterial)&Material)
| Set field Material .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_FeaModel3d | theModelRef
Handle_StepElement_Surface3dElementDescriptor | theElementDescriptor
Handle_StepElement_SurfaceElementProperty | theProperty
Handle_StepElement_ElementMaterial | theMaterial

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Surface3dElementRepresentation::StepFEA_Surface3dElementRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepElement_Surface3dElementDescriptor StepFEA_Surface3dElementRepresentation::ElementDescriptor | ( |  | ) | const

Standard_EXPORT const StepFEA_Surface3dElementRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_ElementRepresentation.

Standard_EXPORT void StepFEA_Surface3dElementRepresentation::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentation_Name,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aRepresentation_Items,
|  | const Handle(StepRepr_RepresentationContext)& | aRepresentation_ContextOfItems,
|  | const Handle(StepFEA_HArray1OfNodeRepresentation)& | aElementRepresentation_NodeList,
|  | const Handle(StepFEA_FeaModel3d)& | aModelRef,
|  | const Handle(StepElement_Surface3dElementDescriptor)& | aElementDescriptor,
|  | const Handle(StepElement_SurfaceElementProperty)& | aProperty,
|  | const Handle(StepElement_ElementMaterial)& | aMaterial
| ) |

Standard_EXPORT Handle_StepElement_ElementMaterial StepFEA_Surface3dElementRepresentation::Material | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_FeaModel3d StepFEA_Surface3dElementRepresentation::ModelRef | ( |  | ) | const

Standard_EXPORT Handle_StepElement_SurfaceElementProperty StepFEA_Surface3dElementRepresentation::Property | ( |  | ) | const

Standard_EXPORT void StepFEA_Surface3dElementRepresentation::SetElementDescriptor | ( | const Handle(StepElement_Surface3dElementDescriptor)& | ElementDescriptor | ) |

Standard_EXPORT void StepFEA_Surface3dElementRepresentation::SetMaterial | ( | const Handle(StepElement_ElementMaterial)& | Material | ) |

Standard_EXPORT void StepFEA_Surface3dElementRepresentation::SetModelRef | ( | const Handle(StepFEA_FeaModel3d)& | ModelRef | ) |

Standard_EXPORT void StepFEA_Surface3dElementRepresentation::SetProperty | ( | const Handle(StepElement_SurfaceElementProperty)& | Property | ) |

## Field Documentation

Handle_StepElement_Surface3dElementDescriptor StepFEA_Surface3dElementRepresentation::theElementDescriptor `[private]`

Handle_StepElement_ElementMaterial StepFEA_Surface3dElementRepresentation::theMaterial `[private]`

Handle_StepFEA_FeaModel3d StepFEA_Surface3dElementRepresentation::theModelRef `[private]`

Handle_StepElement_SurfaceElementProperty StepFEA_Surface3dElementRepresentation::theProperty `[private]`

The documentation for this class was generated from the following file:

- StepFEA_Surface3dElementRepresentation.hxx